import { IDIDDocumentFull } from '@ew-did-registry/did-document';
import { IDidStore } from '@ew-did-registry/did-store-interface';
import { IKeys } from '@ew-did-registry/keys';
import { ProviderSettings } from '@ew-did-registry/did-resolver-interface';
import { IClaimsFactory, IClaimsIssuer, IClaimsUser, IClaimsVerifier } from '../interface';
/**
 * An implementation of claims factory
 * @class
 */
export declare class ClaimsFactory implements IClaimsFactory {
    private keys;
    private document;
    private store;
    private providerSettings;
    private owner;
    constructor(keys: IKeys, document: IDIDDocumentFull, store: IDidStore, providerSettings: ProviderSettings);
    /**
     * Constructs instance of ClaimsUser
     *
     * @returns { IClaimsUser }
     */
    createClaimsUser(): IClaimsUser;
    /**
     * Contstructs instance of ClaimsIssuer
     *
     * @returns { IClaimsIssuer }
     */
    createClaimsIssuer(): IClaimsIssuer;
    /**
     * Constructs instance of ClaimsUser
     *
     * @returns { IClaimsVerifier }
     */
    createClaimsVerifier(): IClaimsVerifier;
}
